/**
 * Global options.
 * 
 * @author   Andy Frank
 * @creation 21 Apr 05
 */
 
////////////////////////////////////////////////////////////////
// Global
////////////////////////////////////////////////////////////////

var options = new AppOptions();
 
////////////////////////////////////////////////////////////////
// Model
////////////////////////////////////////////////////////////////

function AppOptions()
{
  // Control wether we display an article as simple text or
  // if we dislpay the actual webpage link.  Can be overrided
  // by individual feed.
  //
  // 1 Text
  // 2 Web page
  // 3 Newspaper
  this.globalStyle = 1;
  
  // Control if feeds should be automatically checked on startup
  this.checkOnStartup = false;
  
////////////////////////////////////////////////////////////////
// Methods
////////////////////////////////////////////////////////////////
  
  this.load = function()
  {
    this.globalStyle = CommonFunc.getPrefValue("newsfox.global.style", "int", 1);
    this.checkOnStartup = CommonFunc.getPrefValue("newsfox.global.checkOnStartup", "bool", false);
  }             
  
  this.save = function()
  {
    CommonFunc.setPrefValue("newsfox.global.style", "int", this.globalStyle);
    CommonFunc.setPrefValue("newsfox.global.checkOnStartup", "bool", this.checkOnStartup);
  } 
} 
 
